# Method: reports.update

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/update#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/update#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/update#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/update#try-it)

Updates a report.

### HTTP request

`PUT https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/reports/{reportId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` The Campaign Manager 360 user profile ID. |
| `reportId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the report. |

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/reports#Report`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/reports#Report`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfareporting`